VSTGUI: CButtonState Struct Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
CButtonState Struct Reference

Button and Modifier state. More...

`#include <cbuttonstate.h>`

## Public Member Functions
| CButtonState (int32_t state=0)
| CButtonState (const CButtonState &bs)
int32_t | getButtonState () const
int32_t | getModifierState () const
bool | isLeftButton () const
| returns true if only the left button is set.
bool | isMiddleButton () const
| returns true if only the middle button is set.
bool | isRightButton () const
| returns true if only the right button is set.
bool | isButton4 () const
| returns true if only the 4th button is set.
bool | isButton5 () const
| returns true if only the 5th button is set.
bool | isDoubleClick () const
| returns true if the double click flag is set.
bool | isShiftSet () const
| returns true if the shift modifier is set.
bool | isAltSet () const
| returns true if the alt modifier is set.
bool | isControlSet () const
| returns true if the control modifier is set.
bool | isAppleSet () const
| returns true if the apple modifier is set.
bool | isMouseWheelInverted () const
int32_t | operator() () const
CButtonState & | operator= (int32_t s)
CButtonState & | operator&= (int32_t s)
CButtonState & | operator|= (int32_t s)
int32_t | operator& (const CButtonState &s) const
int32_t | operator| (const CButtonState &s) const
int32_t | operator~ () const
bool | operator== (const CButtonState &s) const
bool | operator!= (const CButtonState &s) const

## Protected Attributes
int32_t | state

## Detailed Description

Button and Modifier state.

## Constructor & Destructor Documentation

## ◆ CButtonState() [1/2]

CButtonState | ( | int32_t | state = 0 | ) |
| inline

## ◆ CButtonState() [2/2]

CButtonState | ( | const CButtonState & | bs | ) |
| inline

## Member Function Documentation

## ◆ getButtonState()

int32_t getButtonState | ( |  | ) | const
| inline

## ◆ getModifierState()

int32_t getModifierState | ( |  | ) | const
| inline

## ◆ isAltSet()

bool isAltSet | ( |  | ) | const
| inline

returns true if the alt modifier is set.

## ◆ isAppleSet()

bool isAppleSet | ( |  | ) | const
| inline

returns true if the apple modifier is set.

## ◆ isButton4()

bool isButton4 | ( |  | ) | const
| inline

returns true if only the 4th button is set.

Ignores modifier state

## ◆ isButton5()

bool isButton5 | ( |  | ) | const
| inline

returns true if only the 5th button is set.

Ignores modifier state

## ◆ isControlSet()

bool isControlSet | ( |  | ) | const
| inline

returns true if the control modifier is set.

## ◆ isDoubleClick()

bool isDoubleClick | ( |  | ) | const
| inline

returns true if the double click flag is set.

## ◆ isLeftButton()

bool isLeftButton | ( |  | ) | const
| inline

returns true if only the left button is set.

Ignores modifier state

## ◆ isMiddleButton()

bool isMiddleButton | ( |  | ) | const
| inline

returns true if only the middle button is set.

Ignores modifier state

## ◆ isMouseWheelInverted()

bool isMouseWheelInverted | ( |  | ) | const
| inline

## ◆ isRightButton()

bool isRightButton | ( |  | ) | const
| inline

returns true if only the right button is set.

Ignores modifier state

## ◆ isShiftSet()

bool isShiftSet | ( |  | ) | const
| inline

returns true if the shift modifier is set.

## ◆ operator!=()

bool operator!= | ( | const CButtonState & | s | ) | const
| inline

## ◆ operator&()

int32_t operator& | ( | const CButtonState & | s | ) | const
| inline

## ◆ operator&=()

CButtonState & operator&= | ( | int32_t | s | ) |
| inline

## ◆ operator()()

int32_t operator() | ( |  | ) | const
| inline

## ◆ operator=()

CButtonState & operator= | ( | int32_t | s | ) |
| inline

## ◆ operator==()

bool operator== | ( | const CButtonState & | s | ) | const
| inline

## ◆ operator|()

int32_t operator| | ( | const CButtonState & | s | ) | const
| inline

## ◆ operator|=()

CButtonState & operator|= | ( | int32_t | s | ) |
| inline

## ◆ operator~()

int32_t operator~ | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ state

int32_t state
| protected

The documentation for this struct was generated from the following file:

- cbuttonstate.h